pub struct Solution;

impl Solution {
    pub fn min_number(nums1: Vec<i32>, nums2: Vec<i32>) -> i32 {
        let mut min: i32 = nums1[0] * 10 + nums2[0];
        for i in 0..nums1.len() {
            for j in 0..nums2.len() {
                if nums1[i] == nums2[j] && nums1[i] < min {
                    min = nums1[i];
                } else {
                    let mut num = nums1[i] * 10 + nums2[j];
                    if num < min {
                        min = num;
                    }
                    num = nums2[j] * 10 + nums1[i];
                    if num < min {
                        min = num;
                    }
                }
            }
        }
        min
    }
}

#[cfg(test)]
mod tests {
    use super::*;

    #[test]
    fn test_1() {
        let nums1 = vec![4, 1, 3];
        let nums2 = vec![5,7];
        assert_eq!(Solution::min_number(nums1, nums2), 15);
    }

    #[test]
    fn test_2() {
        let nums1 = vec![3, 5, 2, 6];
        let nums2 = vec![3, 1, 7];
        assert_eq!(Solution::min_number(nums1, nums2), 3);
    }
}
